
/*Tablets*/
@media screen and (max-width: 1024px) {
  .grid-container {
    grid-template-columns: 1fr 1fr;
    grid-template-rows: auto;
  }
  .profile {
    flex-shrink: 0;
    height: 200px;
    object-fit: cover;
    width: 50%;
    margin: 0 auto;
  }
  /*
CARD
*/
  .card {
    display: flex;
    flex-direction: column;
    /*overflow: hidden;*/
    outline: 1px solid #ccc;
    border-radius: 5px;
    box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.2);
    /*margin: 20px;*/
    max-width: 300px;
  }

  .card-image {
    flex-shrink: 0;
    height: 200px;
    object-fit: cover;
    width: 100%;
  }

  .card-content {
    flex-grow: 1;
    padding: 10px;
    /*width: 350px;*/
    margin: 0 auto;
  }

  .card-title {
    font-size: 24px;
    margin-top: 0;
  }

  .card-description {
    margin-bottom: 10px;
  }

  .card-button {
    background-color: rgb(1, 192, 255);
    border: none;
    color: white;
    padding: 10px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    border-radius: 5px;
    margin-bottom: 10px;
    align-self: flex-start;
  }
}

/*Moviles*/
@media only screen and (max-width: 768px)  {
  header nav {
    display: none;
    position: absolute;
    top: 0;
    right: 0;
    height: 100%;
    width: 100%;
    background-color: black;
    padding-top: 0.5em;
    padding-right: 1.5em;
    opacity: 0.8;
  }

  body.no-scroll {
    overflow: hidden;
  }

  /*boton hamburguesa*/
  #menu {
    display: block;
    position: absolute;
    right: 0.5em;
    top: 0.5em;
    background-color: #000;
    color: white;
    font-size: 1.2em;
    font-weight: bold;
    border: none;
    z-index: 9999;
  }

  #menu-cerrar {
    display: none;
  }

  #menu-abrir {
    display: block;
  }

  #menu.salir #menu-abrir {
    display: none;
  }

  #menu.salir #menu-cerrar {
    display: block;
  }

  nav {
    display: flex;
    flex-direction: column;
    /*outline: solid yellow;*/
  }

  nav ul {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    /*outline:  solid red;*/
    padding-right: 0.5em;
    margin-top: 2em;
  }
  nav u li {
    display: flex;
    flex-direction: column;
  }

  nav.visible {
    display: block;
    background: #000;
  }

  .grid-container {
    grid-template-columns: 1fr;
    grid-template-rows: auto;
    grid-gap: 5px;
  }
  /*
CARD
*/
  .card {
    display: flex;
    flex-direction: column;
    /*overflow: hidden;*/
    outline: 1px solid #ccc;
    border-radius: 5px;
    box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.2);
    margin: 0 auto;
    max-width: 300px;
  }

  .card-image {
    flex-shrink: 0;
    height: 200px;
    object-fit: cover;
    width: 100%;
   
    
  }

  .profile {
    flex-shrink: 0;
    height: 200px;
    object-fit: cover;
    width: 50%;
   
  }

  .card-content {
    flex-grow: 1;
    padding: 20px;
  }

  .card-title {
    font-size: 24px;
    margin-top: 0;
  }

  .card-description {
    margin-bottom: 10px;
    text-align: justify;
  }

  .card-button {
    background-color: rgb(1, 192, 255);
    border: none;
    color: white;
    padding: 10px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    border-radius: 5px;
    margin-bottom: 10px;
    align-self: flex-start;
  }

  /*Footer*/
  footer {
    grid-template-columns: 1fr;
    grid-template-rows: auto auto auto;
    grid-gap: 10px;
    padding: 10px;
  }

  section {
    padding: 10px;
  }

  .imagenDC {
    height: 200px;
    opacity: 1;
  }

  .carousel-item {
    display: none;
  }
  .carousel-item-mobile {
    display: block;
  }
}
